namespace Phoenix.Model.Bll.Domain
{
    public class Doctor : Person
    {
        #region Constructors

        public Doctor()
        {
            this.Address = new Address();
            this.Specialisation = new DoctorType();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the specialisation.
        /// </summary>
        /// <value>The specialisation.</value>
        public virtual DoctorType Specialisation
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return string.Format("[{0}] {1,4} {2}", this.ID, this.FirstName, this.LastName);
        }

        #endregion Methods
    }
}