namespace Phoenix.Model.Bll.Domain
{
    using System;

    public class MedicalCard : Poco, ICloneable
    {
        #region Fields

        private MedicalCardType m_Type;

        #endregion Fields

        #region Constructors

        public MedicalCard()
        {
            this.Remark = string.Empty;
        }

        #endregion Constructors

        #region Properties

        public virtual DateTime? CreationDate
        {
            get;
            set;
        }

        public virtual string Remark
        {
            get;
            set;
        }

        public virtual string Title
        {
            get;
            set;
        }

        public virtual MedicalCardType Type
        {
            get { return m_Type; }
            set { m_Type = value; }
        }

        public virtual DateTime? UpdateDate
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Creates a new object that is a copy of the current instance.
        /// </summary>
        /// <returns>
        /// A new object that is a copy of this instance.
        /// </returns>
        public virtual object Clone()
        {
            return new MedicalCard()
            {
                CreationDate = this.CreationDate,
                m_ID = this.ID,
                Remark = this.Remark,
                Title = this.Title,
                Type = this.Type,
                UpdateDate = this.UpdateDate,
            };
        }

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return "Card: " + this.Title;
        }

        #endregion Methods
    }
}