﻿namespace Phoenix.Model.Bll.Domain
{
    public class Practice : Poco
    {
        #region Fields

        private Address address = new Address();
        private string phone = string.Empty;
        private string title = string.Empty;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Practice"/> class.
        /// </summary>
        public Practice()
            : base()
        {
            this.Address = new Address();
        }

        #endregion Constructors

        #region Properties

        public virtual Address Address
        {
            get { return address; }
            set { this.Set(this, "address", ref address, value); }
        }

        public virtual string Phone
        {
            get { return this.phone; }
            set { this.Set(this, "phone", ref phone, value); }
        }

        public virtual string Title
        {
            get { return this.title; }
            set { this.Set(this, "title", ref title, value); }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return this.Title;
        }

        #endregion Methods
    }
}