﻿namespace Phoenix.Model.Bll.Domain
{
    /// <summary>
    /// Represent a relation type. For instance  "Uncle-Nephew"
    /// is a relation type.
    /// </summary>
    public class RelationType : Poco
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="RelationType"/> class.
        /// </summary>
        public RelationType()
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the remark to put on the FamilyLinkType.
        /// </summary>
        /// <value>The remark.</value>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the title of the FamilyLinkType.
        /// </summary>
        /// <value>The title.</value>
        public virtual string Title
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the oposite of this FamilyLinkType.
        /// For instance the 'UpsideDown' of 'Father' is 'Son'
        /// </summary>
        /// <value>The upside down.</value>
        public virtual RelationType UpsideDown
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return this.Title;
        }

        #endregion Methods
    }
}