﻿namespace Phoenix.Model.Management
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;
    using Phoenix.Model.Dal;

    /// <summary>
    /// Get simple fetching feature on the family types
    /// </summary>
    public class SimpleFamilyLinkTypeModel
    {
        #region Fields

        private IFamilyLinkTypeRepository familyLinkTypeRepository;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="SimpleFamilyLinkTypeModel"/> class.
        /// </summary>
        public SimpleFamilyLinkTypeModel()
        {
            this.familyLinkTypeRepository = RepositoryFactory.Get<IFamilyLinkTypeRepository>();
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Gets all the family link types.
        /// </summary>
        /// <returns></returns>
        public IList<RelationType> GetFamilyLinkTypes()
        {
            return this.familyLinkTypeRepository.GetAllRows();
        }

        #endregion Methods
    }
}