﻿namespace Phoenix.Model.Dal.Repositories
{
    using NHibernate.Linq;

    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    public class PictureRepository : Repository<Picture>, IPictureRepository
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PictureRepository"/> class.
        /// </summary>
        public PictureRepository()
            : base("Picture", "InsertDate")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Gets the picture with the specified id.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <returns></returns>
        public Picture GetById(long id)
        {
            return (Picture)this.Session.Get(typeof(Picture), id);
        }

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(Picture item)
        {
            return true;
        }

        #endregion Methods
    }
}