namespace System.Windows.Forms.Calendar
{
    using System.ComponentModel;

    public class CalendarItemCancelEventArgs : CancelEventArgs
    {
        #region Fields

        private CalendarItem _item;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Creates a new <see cref="CalendarItemEventArgs"/>
        /// </summary>
        /// <param name="item">Related Item</param>
        public CalendarItemCancelEventArgs(CalendarItem item)
        {
            _item = item;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets the <see cref="CalendarItem"/> related to the event
        /// </summary>
        public CalendarItem Item
        {
            get { return _item; }
        }

        #endregion Properties
    }
}